kabc Library: KABC::Key Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Key Class Reference

A class to store an encryption key. More...

`#include <key.h>`

Collaboration diagram for KABC::Key:

[legend]
List of all members.

## Public Types
typedef QValueList< Key > | List
typedef QValueList< int > | TypeList
enum | Types { X509, PGP, Custom }
## Public Member Functions
| Key (const QString &text=QString::null, int type=PGP)
| ~Key ()
bool | operator== (const Key &) const
bool | operator!= (const Key &) const
void | setId (const QString &id)
QString | id () const
void | setBinaryData (const QByteArray &binary)
QByteArray | binaryData () const
void | setTextData (const QString &text)
QString | textData () const
bool | isBinary () const
void | setType (int type)
void | setCustomTypeString (const QString &custom)
int | type () const
QString | customTypeString () const
## Static Public Member Functions
static TypeList | typeList ()
static QString | typeLabel (int type)
## Friends
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Key &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Key &)

## Detailed Description

A class to store an encryption key.

Definition at line 33 of file key.h.

## Member Enumeration Documentation

enum KABC::Key::Types

| Key types. X509 - X509 key PGP - Pretty Good Privacy key Custom - Custom or IANA conform key Definition at line 49 of file key.h.

## Constructor & Destructor Documentation

Key::Key | ( | const QString & | text = `QString::null`,
|  | int | type = `PGP`
| ) |

  | Constructor. Parameters:
  | text | The text data.
  | type | The key type,
See also: Types. Definition at line 28 of file key.cpp. References KApplication::randomString().

Key::~Key | ( |  | ) |

| Destructor. Definition at line 34 of file key.cpp.

## Member Function Documentation

void Key::setId | ( | const QString & | id | ) |

| Sets the unique identifier. Definition at line 56 of file key.cpp. References id().

QString Key::id | ( |  | ) | const

| Returns the unique identifier. Definition at line 61 of file key.cpp. Referenced by setId().

void Key::setBinaryData | ( | const QByteArray & | binary | ) |

| Sets binary data. Definition at line 66 of file key.cpp.

QByteArray Key::binaryData | ( |  | ) | const

| Returns the binary data. Definition at line 72 of file key.cpp.

void Key::setTextData | ( | const QString & | text | ) |

| Sets text data. Definition at line 77 of file key.cpp.

QString Key::textData | ( |  | ) | const

| Returns the text data. Definition at line 83 of file key.cpp.

bool Key::isBinary | ( |  | ) | const

| Returns whether the key contains binary or text data. Definition at line 88 of file key.cpp.

void Key::setType | ( | int | type | ) |

| Sets the type,. See also: Type. Definition at line 93 of file key.cpp.

void Key::setCustomTypeString | ( | const QString & | custom | ) |

| Sets custom type string. Definition at line 98 of file key.cpp.

int Key::type | ( |  | ) | const

| Returns the type,. See also: Type. Definition at line 103 of file key.cpp.

QString Key::customTypeString | ( |  | ) | const

| Returns the custom type string. Definition at line 108 of file key.cpp.

Key::TypeList Key::typeList | ( |  | ) | `[static]`

| Returns a list of all available key types. Definition at line 113 of file key.cpp.

QString Key::typeLabel | ( | int | type | ) | `[static]`

| Returns a translated label for a given key type. Definition at line 123 of file key.cpp.

The documentation for this class was generated from the following files:

- key.h
- key.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003